Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## es.inteco.xbrl.lenlocpenloc.errors.exceptions
Class XBRLApiException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              es.inteco.xbrl.lenlocpenloc.errors.exceptions.XBRLENLOCException
                  es.inteco.xbrl.lenlocpenloc.errors.exceptions.XBRLApiException

All Implemented Interfaces:
  java.io.Serializable

    public class XBRLApiException

extends XBRLENLOCException

Clase utilizada para notificar errores producidos en fallos de configuración, bien sea, por errores en formato de entrada, bien por llevar a cabo acciones no contempladas.
Proyecto: API XBRL-LENLOCPENLOC2010 - Grupo de utilidades y librerías en código abierto para facilitar la integración del formato XBRL en las herramientas software de gestión de terceros aislándose de la complejidad en el procesamiento del modelo de datos de las taxonomías. Ayudando de esta forma a las entidades locales en la labor de realización de informes XBRL y asegurar el éxito en el reporte de presupuestos y liquidación de presupuestos de las entidades locales en formato XBRL

Version:
  1.0, 24/06/2009
Author:
  difusioncalidad@inteco.es
See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `closingInstance` Error al intentar cerrar una instancia XBRL.
`static java.lang.String` | `coreErrorCreatingNamespaces` Error creando los namespaces básicos para la creación de una instancia XBRL.
`static java.lang.String` | `coreErrorGettingCodeLabel` Error obteniendo codelabel para concepto.
`static java.lang.String` | `errorAddMembersToConceptMap` Error al añadir los members al conceptMa.
`static java.lang.String` | `errorCheckingFactIsTuple` Error comprobando si un fact es tupla.
`static java.lang.String` | `errorCheckingPeridoTypeIsInstant` Error comprobando si un fact dado es de tipo instant.
`static java.lang.String` | `errorCreatingConcept` Error creando un elemento XBRL Concept
`static java.lang.String` | `errorCreatingConceptMap` Error al crear un conceptMap.
`static java.lang.String` | `errorCreatingContext` Error creando un elemento XBRL Context.
`static java.lang.String` | `errorCreatingDimension` Error creando un elemento XBRL Dimension.
`static java.lang.String` | `errorCreatingDurationPeriod` Error creando un elemento XBRL periodo del tipo duration.
`static java.lang.String` | `errorCreatingFactConceptNotFound` Error creando un fact, debido a que su concepto no se encuentra en la taxonomía.
`static java.lang.String` | `errorCreatingFootNote` Error creando un elemento XBRL FootNote.
`static java.lang.String` | `errorCreatingFootNoteArcRoleNotFound` Error creando footnote, debido a que no se encuentra el role especificado para la footnote.
`static java.lang.String` | `errorCreatingFootNoteLink` Error creando un elemento XBRL FootNoteLink.
`static java.lang.String` | `errorCreatingFootNoteLinkLinkRoleNotFound` Error creando footnote, debido a que no se encuentra el role especificado para la footnote.
`static java.lang.String` | `errorCreatingFootNoteNoteRoleNotFound` Error creando footnote, debido a que no se encuentra el role especificado para la footnote.
`static java.lang.String` | `errorCreatingInstantPeriod` Error creando un elemento XBRL periodo del tipo instant.
`static java.lang.String` | `errorCreatingMap` Error creando el mapa.
`static java.lang.String` | `errorCreatingMeasure` Error creando un elemento XBRL Measure.
`static java.lang.String` | `errorCreatingNamespaces` Error creando los namespaces básicos para la creación de una instancia XBRL.
`static java.lang.String` | `errorCreatingPrimaryItems` Error generating primary items
`static java.lang.String` | `errorCreatingStatement` Error creando el Statement de un mapa.
`static java.lang.String` | `errorCreatingStatementDimensionMap` Error creando el Statement de un mapa.
`static java.lang.String` | `errorCreatingTuple` Error creando un elemento XBRL Tuple.
`static java.lang.String` | `errorCreatingTupleChild` Error creando un elemento hijo para una tupla XBRL.
`static java.lang.String` | `errorCreatingTupleChildConceptNotFound` Error creando hijo de una tupla, debido a que su concepto no se encuentra en la taxonomía.
`static java.lang.String` | `errorCreatingTupleConceptNotFound` Error creando una tupla, debido a que su concepto no se encuentra en la taxonomía.
`static java.lang.String` | `errorCreatingUnit` Error creando un elemento XBRL Unit.
`static java.lang.String` | `errorCreatingXBRLContext` Error obteniendo contexto de la instancia.
`static java.lang.String` | `errorCreatingXBRLFact` Error obteniendo fact de la instancia.
`static java.lang.String` | `errorCreatingXbrlInstance` Error creando instancia XBRL.
`static java.lang.String` | `errorExtractingContextFromFact` Error obteniendo contexto desde fact.
`static java.lang.String` | `errorGettingCodeLabel` Error obteniendo codeLabel para concpeto.
`static java.lang.String` | `errorGettingConceptInformation` Error obteniendo información de un concepto XBRL.
`static java.lang.String` | `errorGettingContextTable` Error obteniendo la tabla de contextos de una instancia dada.
`static java.lang.String` | `errorGettingGlobalFactsTable` Error obteniendo tabla de facts.
`static java.lang.String` | `errorGettingGlobalTupleChildsTable` Error obteniendo tabla de hijos de tupla.
`static java.lang.String` | `errorGettingGlobalTupleTable` Error obteniendo tabla de tuplas.
`static java.lang.String` | `errorGettingGlobalTupleTableByParent` Error obteniendo la tabla de tuplas para una tupla dada.
`static java.lang.String` | `errorGettingMembers` Error obteniendo los miembros de un conceptMap.
`static java.lang.String` | `errorGettingRoleFromDTS` Error obteniendo los roles definidos en la taxonomía.
`static java.lang.String` | `errorGettingSchemaFromInstance` Error obteniendo esquema de la instancia.
`static java.lang.String` | `errorGettingUnitList` Error obteniendo la lista de unidades de una instancia XBRL dada.
`static java.lang.String` | `errorGettingXPathPrefixMaps` Error mientras se asignan prefijos y paths.
`static java.lang.String` | `errorLoadingInstance` Error cargando instancia.
`static java.lang.String` | `errorLoadingTaxonomy` Error producido mientras se intentaba cargar la taxonomía.
`static java.lang.String` | `errorReadingPeridodTypeAttribute` Error leyendo el atributo periodType, para determinar el tipo de periodo de un contexto dado.
`static java.lang.String` | `errorTranslatingFactsFromIteratorToTable` Error convirtiendo iterador de facts a tabla.
`static java.lang.String` | `errorValidatingInstance` Se han encontrados errores en la validación de la instancia.
`static java.lang.String` | `errorValidatingInstanceNotLoad` Error cargando la instancia antes de su validación.
`static java.lang.String` | `failedGettingInstanceByte` Error producido mientras se intentaba obtener un array de bytes de la instancia resultado del proceso de transformación.
`static java.lang.String` | `failedWriteXbrlDocument` Se ha producido un error mientra se intentaba escribir el XBRL obtenido tras el proceso de transformación.
`static java.lang.String` | `hyperCubeNotFoundInRole` Error al cargar un hipercubo.
`static java.lang.String` | `notExistDirectoryMap` No se ha podido encontrar el directorio ENLOCMaps, en el cual se encuentran los mapas utilizados por los servicios de transformación.
`static java.lang.String` | `notExistGlobalFile` No se ha encontrado el archivo de configuración Global.xml.
`static java.lang.String` | `notExistMapFile` No se encuentra el documento para el mapa usado en el servicio de transformación.
`static java.lang.String` | `notExistReportFile` No se encuentra el documento report indicado.
`static java.lang.String` | `notFoundInputDocumentToValidate` No se encuentra el documento a validar.
`static java.lang.String` | `notFoundReportInGlobal` No se encuentra el fichero de configuración global.xml, el cual debe estar en el directorio config.
`static java.lang.String` | `roleNotFoundInMap` Error al obtener el role del mapa.
`static java.lang.String` | `unsuportedEncodingInstanceByte` El juego de caracteres utilizado en la instancia XBRL de entrada no está soportado por la aplicación, el cual debe ser UTF-8.

Fields inherited from class es.inteco.xbrl.lenlocpenloc.errors.exceptions.XBRLENLOCException
`canNotResolveSchemaRef, errorContextWithoutDimensionContainer, errorContextWithoutScenario, errorCreatingTempFile, errorGettingFile, errorGettingNS, errorGettingReportID, errorGettingSchema, errorInicializingProcessor, errorInXSLTTransformation, errorNormalizeSchema, errorParamsTransformation, errorResolvingConfigPaths, errorSavingFileToByteArray, errorTryingViewInstance, errorTryingViewInstanceExternal, errorTryingViewInstanceResultFile, genericErrorValidatingInstance, notExistTempDirectory`

Constructor Summary
`XBRLApiException(java.lang.String message, java.lang.String[] parameters)` Crea una excepción sin indicar la causa de la excepción.
`XBRLApiException(java.lang.String message, java.lang.String[] parameters, java.lang.Throwable cause)` Crea una excepción con un identificador, el cual corresponderá a una de las constantes definidas, con los parámetros necesarios para completar el mensaje de error.
`XBRLApiException(java.lang.String message, java.lang.Throwable cause)` Crea una excepción con un mensaje sin parámetros.

Method Summary

Methods inherited from class es.inteco.xbrl.lenlocpenloc.errors.exceptions.XBRLENLOCException
`getCodeError, getErrorsHandler, getMessage, setCodeError, setErrorsHandler`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### failedWriteXbrlDocument

    public static final java.lang.String failedWriteXbrlDocument

  Se ha producido un error mientra se intentaba escribir el XBRL obtenido tras el proceso de transformación.

  See Also:
    Constant Field Values

### unsuportedEncodingInstanceByte

    public static final java.lang.String unsuportedEncodingInstanceByte

  El juego de caracteres utilizado en la instancia XBRL de entrada no está soportado por la aplicación, el cual debe ser UTF-8.

  See Also:
    Constant Field Values

### failedGettingInstanceByte

    public static final java.lang.String failedGettingInstanceByte

  Error producido mientras se intentaba obtener un array de bytes de la instancia resultado del proceso de transformación.

  See Also:
    Constant Field Values

### errorGettingXPathPrefixMaps

    public static final java.lang.String errorGettingXPathPrefixMaps

  Error mientras se asignan prefijos y paths.

  See Also:
    Constant Field Values

### coreErrorCreatingNamespaces

    public static final java.lang.String coreErrorCreatingNamespaces

  Error creando los namespaces básicos para la creación de una instancia XBRL.

  See Also:
    Constant Field Values

### errorCreatingNamespaces

    public static final java.lang.String errorCreatingNamespaces

  Error creando los namespaces básicos para la creación de una instancia XBRL.

  See Also:
    Constant Field Values

### errorCreatingXbrlInstance

    public static final java.lang.String errorCreatingXbrlInstance

  Error creando instancia XBRL.

  See Also:
    Constant Field Values

### errorCreatingUnit

    public static final java.lang.String errorCreatingUnit

  Error creando un elemento XBRL Unit.

  See Also:
    Constant Field Values

### errorCreatingMeasure

    public static final java.lang.String errorCreatingMeasure

  Error creando un elemento XBRL Measure.

  See Also:
    Constant Field Values

### errorCreatingContext

    public static final java.lang.String errorCreatingContext

  Error creando un elemento XBRL Context.

  See Also:
    Constant Field Values

### errorCreatingDurationPeriod

    public static final java.lang.String errorCreatingDurationPeriod

  Error creando un elemento XBRL periodo del tipo duration.

  See Also:
    Constant Field Values

### errorCreatingInstantPeriod

    public static final java.lang.String errorCreatingInstantPeriod

  Error creando un elemento XBRL periodo del tipo instant.

  See Also:
    Constant Field Values

### errorCreatingFactConceptNotFound

    public static final java.lang.String errorCreatingFactConceptNotFound

  Error creando un fact, debido a que su concepto no se encuentra en la taxonomía.

  See Also:
    Constant Field Values

### errorCreatingConcept

    public static final java.lang.String errorCreatingConcept

  Error creando un elemento XBRL Concept

  See Also:
    Constant Field Values

### errorCreatingTupleConceptNotFound

    public static final java.lang.String errorCreatingTupleConceptNotFound

  Error creando una tupla, debido a que su concepto no se encuentra en la taxonomía.

  See Also:
    Constant Field Values

### errorCreatingTuple

    public static final java.lang.String errorCreatingTuple

  Error creando un elemento XBRL Tuple.

  See Also:
    Constant Field Values

### errorCreatingDimension

    public static final java.lang.String errorCreatingDimension

  Error creando un elemento XBRL Dimension.

  See Also:
    Constant Field Values

### errorGettingConceptInformation

    public static final java.lang.String errorGettingConceptInformation

  Error obteniendo información de un concepto XBRL.

  See Also:
    Constant Field Values

### notExistDirectoryMap

    public static final java.lang.String notExistDirectoryMap

  No se ha podido encontrar el directorio ENLOCMaps, en el cual se encuentran los mapas utilizados por los servicios de transformación.

  See Also:
    Constant Field Values

### errorCreatingTupleChildConceptNotFound

    public static final java.lang.String errorCreatingTupleChildConceptNotFound

  Error creando hijo de una tupla, debido a que su concepto no se encuentra en la taxonomía.

  See Also:
    Constant Field Values

### errorCreatingTupleChild

    public static final java.lang.String errorCreatingTupleChild

  Error creando un elemento hijo para una tupla XBRL.

  See Also:
    Constant Field Values

### errorCheckingPeridoTypeIsInstant

    public static final java.lang.String errorCheckingPeridoTypeIsInstant

  Error comprobando si un fact dado es de tipo instant.

  See Also:
    Constant Field Values

### errorReadingPeridodTypeAttribute

    public static final java.lang.String errorReadingPeridodTypeAttribute

  Error leyendo el atributo periodType, para determinar el tipo de periodo de un contexto dado.

  See Also:
    Constant Field Values

### errorCreatingFootNoteLinkLinkRoleNotFound

    public static final java.lang.String errorCreatingFootNoteLinkLinkRoleNotFound

  Error creando footnote, debido a que no se encuentra el role especificado para la footnote.

  See Also:
    Constant Field Values

### errorCreatingFootNoteNoteRoleNotFound

    public static final java.lang.String errorCreatingFootNoteNoteRoleNotFound

  Error creando footnote, debido a que no se encuentra el role especificado para la footnote.

  See Also:
    Constant Field Values

### errorCreatingFootNoteArcRoleNotFound

    public static final java.lang.String errorCreatingFootNoteArcRoleNotFound

  Error creando footnote, debido a que no se encuentra el role especificado para la footnote.

  See Also:
    Constant Field Values

### errorCreatingFootNoteLink

    public static final java.lang.String errorCreatingFootNoteLink

  Error creando un elemento XBRL FootNoteLink.

  See Also:
    Constant Field Values

### errorCreatingFootNote

    public static final java.lang.String errorCreatingFootNote

  Error creando un elemento XBRL FootNote.

  See Also:
    Constant Field Values

### errorValidatingInstanceNotLoad

    public static final java.lang.String errorValidatingInstanceNotLoad

  Error cargando la instancia antes de su validación.

  See Also:
    Constant Field Values

### errorValidatingInstance

    public static final java.lang.String errorValidatingInstance

  Se han encontrados errores en la validación de la instancia.

  See Also:
    Constant Field Values

### coreErrorGettingCodeLabel

    public static final java.lang.String coreErrorGettingCodeLabel

  Error obteniendo codelabel para concepto.

  See Also:
    Constant Field Values

### errorGettingCodeLabel

    public static final java.lang.String errorGettingCodeLabel

  Error obteniendo codeLabel para concpeto.

  See Also:
    Constant Field Values

### errorAddMembersToConceptMap

    public static final java.lang.String errorAddMembersToConceptMap

  Error al añadir los members al conceptMa.

  See Also:
    Constant Field Values

### errorCreatingConceptMap

    public static final java.lang.String errorCreatingConceptMap

  Error al crear un conceptMap.

  See Also:
    Constant Field Values

### errorGettingMembers

    public static final java.lang.String errorGettingMembers

  Error obteniendo los miembros de un conceptMap.

  See Also:
    Constant Field Values

### errorCreatingStatement

    public static final java.lang.String errorCreatingStatement

  Error creando el Statement de un mapa.

  See Also:
    Constant Field Values

### errorLoadingTaxonomy

    public static final java.lang.String errorLoadingTaxonomy

  Error producido mientras se intentaba cargar la taxonomía.

  See Also:
    Constant Field Values

### hyperCubeNotFoundInRole

    public static final java.lang.String hyperCubeNotFoundInRole

  Error al cargar un hipercubo.

  See Also:
    Constant Field Values

### errorCreatingStatementDimensionMap

    public static final java.lang.String errorCreatingStatementDimensionMap

  Error creando el Statement de un mapa.

  See Also:
    Constant Field Values

### errorGettingRoleFromDTS

    public static final java.lang.String errorGettingRoleFromDTS

  Error obteniendo los roles definidos en la taxonomía.

  See Also:
    Constant Field Values

### roleNotFoundInMap

    public static final java.lang.String roleNotFoundInMap

  Error al obtener el role del mapa.

  See Also:
    Constant Field Values

### errorCreatingMap

    public static final java.lang.String errorCreatingMap

  Error creando el mapa.

  See Also:
    Constant Field Values

### errorLoadingInstance

    public static final java.lang.String errorLoadingInstance

  Error cargando instancia.

  See Also:
    Constant Field Values

### errorGettingSchemaFromInstance

    public static final java.lang.String errorGettingSchemaFromInstance

  Error obteniendo esquema de la instancia.

  See Also:
    Constant Field Values

### errorCreatingXBRLFact

    public static final java.lang.String errorCreatingXBRLFact

  Error obteniendo fact de la instancia.

  See Also:
    Constant Field Values

### errorCreatingXBRLContext

    public static final java.lang.String errorCreatingXBRLContext

  Error obteniendo contexto de la instancia.

  See Also:
    Constant Field Values

### errorCheckingFactIsTuple

    public static final java.lang.String errorCheckingFactIsTuple

  Error comprobando si un fact es tupla.

  See Also:
    Constant Field Values

### errorExtractingContextFromFact

    public static final java.lang.String errorExtractingContextFromFact

  Error obteniendo contexto desde fact.

  See Also:
    Constant Field Values

### errorTranslatingFactsFromIteratorToTable

    public static final java.lang.String errorTranslatingFactsFromIteratorToTable

  Error convirtiendo iterador de facts a tabla.

  See Also:
    Constant Field Values

### errorGettingGlobalFactsTable

    public static final java.lang.String errorGettingGlobalFactsTable

  Error obteniendo tabla de facts.

  See Also:
    Constant Field Values

### errorGettingGlobalTupleChildsTable

    public static final java.lang.String errorGettingGlobalTupleChildsTable

  Error obteniendo tabla de hijos de tupla.

  See Also:
    Constant Field Values

### errorGettingGlobalTupleTable

    public static final java.lang.String errorGettingGlobalTupleTable

  Error obteniendo tabla de tuplas.

  See Also:
    Constant Field Values

### errorGettingGlobalTupleTableByParent

    public static final java.lang.String errorGettingGlobalTupleTableByParent

  Error obteniendo la tabla de tuplas para una tupla dada.

  See Also:
    Constant Field Values

### errorGettingContextTable

    public static final java.lang.String errorGettingContextTable

  Error obteniendo la tabla de contextos de una instancia dada.

  See Also:
    Constant Field Values

### errorGettingUnitList

    public static final java.lang.String errorGettingUnitList

  Error obteniendo la lista de unidades de una instancia XBRL dada.

  See Also:
    Constant Field Values

### closingInstance

    public static final java.lang.String closingInstance

  Error al intentar cerrar una instancia XBRL.

  See Also:
    Constant Field Values

### errorCreatingPrimaryItems

    public static final java.lang.String errorCreatingPrimaryItems

  Error generating primary items

  See Also:
    Constant Field Values

### notExistGlobalFile

    public static final java.lang.String notExistGlobalFile

  No se ha encontrado el archivo de configuración Global.xml.

  See Also:
    Constant Field Values

### notExistMapFile

    public static final java.lang.String notExistMapFile

  No se encuentra el documento para el mapa usado en el servicio de transformación.

  See Also:
    Constant Field Values

### notExistReportFile

    public static final java.lang.String notExistReportFile

  No se encuentra el documento report indicado.

  See Also:
    Constant Field Values

### notFoundInputDocumentToValidate

    public static final java.lang.String notFoundInputDocumentToValidate

  No se encuentra el documento a validar.

  See Also:
    Constant Field Values

### notFoundReportInGlobal

    public static final java.lang.String notFoundReportInGlobal

  No se encuentra el fichero de configuración global.xml, el cual debe estar en el directorio config.

  See Also:
    Constant Field Values

Constructor Detail

### XBRLApiException

    public XBRLApiException(java.lang.String message,
                            java.lang.String[] parameters,
                            java.lang.Throwable cause)

  Crea una excepción con un identificador, el cual corresponderá a una de las constantes definidas, con los parámetros necesarios para completar el mensaje de error.

  Parameters:
    `message` - constante correspondiente al mensaje.
    `parameters` - parámetros para completar el mensaje.
    `cause` - mensaje de la excepción original.

### XBRLApiException

    public XBRLApiException(java.lang.String message,
                            java.lang.String[] parameters)

  Crea una excepción sin indicar la causa de la excepción.

  Parameters:
    `message` - constante correspondiente al mensaje de error.
    `parameters` - parámetros para completar el mensaje de error

### XBRLApiException

    public XBRLApiException(java.lang.String message,
                            java.lang.Throwable cause)

  Crea una excepción con un mensaje sin parámetros.

  Parameters:
    `message` - constante correspondiente al mensaje de error.
    `cause` - excepción original.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD